Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.ColorGrid

Extends Tee.PaletteSeries.
Draws a two dimensional grid of data as a "grid" (rows and columns of pixels), using the palette property to calculate each pixel (grid cell) color.
Defined in: <..\..\src\teechart-3d.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.ColorGrid(o, o2)

Fields borrowed from class Tee.Series:
  chart, colorEach, cursor, data, format, horizAxis, marks, vertAxis, visible

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addRandom(rows, cols)
<inner> | calcMinMax()
| clicked(p)
| draw()
| fillPixels(alpha)
| maxXValue()
| maxYValue()
| minXValue()
| minYValue()
<inner> | optimize(smooth, style, ctx)
| recalcAxes()
<inner> | square(x)
<inner> | tryDrawGrid(s, c)
| valueText(index)

Methods borrowed from class Tee.PaletteSeries:
  getColor, legendColor, legendCount, legendText, prepareColors
Methods borrowed from class Tee.Series:
  associatedToAxis, bounds, calc, calcColorEach, calcStack, cellRect, count, dataText, doHover, doSort, drawMarks, getFill, getFillStyle, getRect, horizMargins, init, initZ, isNull, labelOrTitle, markPos, markText, mousedown, mousemove, mouseout, pointOrigin, refresh, setChart, stackMaxValue, titleText, toPercent, valueOrLabel, vertMargins

Class Detail
Tee.ColorGrid(o, o2)

Parameters:
o
o2

Method Detail
addRandom(rows, cols)

Parameters:
rows
cols

<inner> calcMinMax()

{Number} clicked(p)

Parameters:
p

Returns:
  {Number} Returns the index of grid xy that contains Tee.Point p parameter.

draw()

fillPixels(alpha)

Parameters:
alpha

maxXValue()

maxYValue()

minXValue()

minYValue()

<inner> optimize(smooth, style, ctx)

Parameters:
smooth
style
ctx

recalcAxes()

<inner> square(x)

Parameters:
x

<inner> tryDrawGrid(s, c)

Parameters:
s
c

{String} valueText(index)

Parameters:
index

Returns:
  {String} Returns the palette value of index'th legend symbol.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:37 GMT+0200 (CEST)